/**
 * Copyright (c) 2008-2012 EBM WebSourcing, 2012-2017 Linagora
 *
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 *
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */ 
package org.ow2.petals.usecase.jsr181.airline;

import java.util.Date;
import java.util.concurrent.atomic.AtomicLong;

import javax.jws.WebMethod;
import javax.jws.WebService;

/**
 * @author Christophe HAMERLING - EBM WebSourcing
 */
@WebService(serviceName = "AirlineService", portName = "AirlineEndpoint", name = "AirlineInterface", targetNamespace = "http://petals.ow2.org")
public class Service {
    
    private static AtomicLong id = new AtomicLong(1000);

    public Service() {
    }

    @WebMethod
    public String bookFlight(Date departureDate, Date arrivalDate, String departureCity, String arrivalCity) {
        return Long.toString(id.getAndIncrement());
    }
    
    @WebMethod
    public FlightInfo getFlightinfo(String id) {
        FlightInfo f = new FlightInfo();
        f.arrivalCity = "Toulouse";
        f.departureCity = "Paris";
        f.arrivalDate = "2009-01-05 18:05";
        f.departureDate = "2009-01-05 17:05";
        return f;
    }
    
    public static class FlightInfo {
        String departureCity;
        
        String departureDate;
        
        String arrivalCity;
        
        String arrivalDate;
        
        String flightNumber;
    }
}
