/**
 * Copyright (c) 2008-2012 EBM WebSourcing, 2012-2017 Linagora
 *
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 *
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */ 
package org.ow2.petals.usecase.jsr181.weather;

import javax.jws.WebMethod;
import javax.jws.WebService;

/**
 * @author Christophe HAMERLING - EBM WebSourcing
 */
// portname = JBI endpoint
// servicename = JBI service
// name (porttype) = JBI interface
@WebService(serviceName = "WeatherService", portName = "WeatherEndpoint", name = "WeatherInterface", targetNamespace = "http://petals.ow2.org")
public class Service {

	public Service() {
	}

	@WebMethod
	public Weather getWeather(String cityCode) {
		System.out.println("Getting weather for " + cityCode);
		Weather w = new Weather();
		w.sky = "Sunny";
		w.temp = 18;
		return w;
	}

	public static class Weather {
		int temp;

		String sky;
	}

}
